./devel/p5-MooseX-Object-Pluggable, Perl 5 module to add plugin support to Moose classes via roles

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.0014nb3, Package name: p5-MooseX-Object-Pluggable-0.0014nb3, Maintainer: pkgsrc-users

The Perl 5 module MooseX::Object::Pluggable is meant to be loaded
as a role from Moose-based classes. It will add methods and attributes
to assist you with the loading and handling of plugins and extensions
for plugins.


Required to run:
[lang/perl5] [devel/p5-Moose]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 4f428311acc32fffbcb415434ad170e022f82af9
RMD160: f02f61440f8eca90b128b97394e4a2237d9dada8
Filesize: 31.328 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-08-21 16:08:41 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
Add following line for make test
   BUILD_DEPENDS+=        \ 
p5-namespace-autoclean-[0-9]*:../../devel/p5-namespace-autoclean
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-02-13 13:55:58 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update to 0.0014
----------------
0.0014    2015-01-18 20:38:41Z
          - add a test that runs `moose-outdated`, to make it more obvious
            when there are installation conflicts
   2014-07-13 13:39:43 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.0013
Update LICENSE

Upstream changes:
0.0013    2014-02-02 08:53:34Z
          - line numbers in shipped code are now almost the same (within 3) as
            the repository source, for easier debugging
          - add error diagnostic if the plugin is not a Moose role (RT#49507)
          - avoid continuing on after failing to load a plugin (RT#63013)
          - keep track of all plugins successfully loaded so far in case we
            fail in the middle (RT#88562)

0.0012    2013-11-11 03:59:19Z
          - removed use of deprecated Class::MOP::load_class
          - repository migrated from shadowcat to the github moose organization
   2014-05-31 14:56:55 by Thomas Klausner | Files touched by this commit (15) | Package updated
Log message:
Don't expect perl to provide p5-Module-Pluggable (removed in 5.20).
Bump PKGREVISION.